from django_cas_ng.signals import cas_user_authenticated
from django.conf import settings
from django.dispatch import receiver

from accounts.utils import update_user


@receiver(cas_user_authenticated, dispatch_uid="account_auth_cas_receiver")
def auth_cas_receiver(sender, **kwargs):
    user = kwargs["user"]
    if settings.IMPORT_SUPERUSER and settings.IMPORT_SUPERUSER_CAS:
        user.is_superuser = kwargs["attributes"]["is_superuser"] == "True"
    update_user(user)
